const storage = require('electron-localstorage')
const storagePath = require('../comm/config').storagePath()

class LStorage {
    constructor() {
        console.error(storagePath)
        storage.setStoragePath(storagePath);
    }

    getLang() {
        return storage.getItem(`lang`)
    }    
    
    setLang(lang) {
        storage.setItem(`lang`, lang)
    }

    getSIP() {
        return storage.getItem(`useSIP`)
    }

    setSIP(value) {
        storage.setItem(`useSIP`, value)
    }
}

module.exports = LStorage